--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
constants: []

full_name: ExpressionParserTest
includes: 
- !ruby/object:RI::IncludedModule 
  name: Functors
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: around
- !ruby/object:RI::MethodSummary 
  name: decrement
- !ruby/object:RI::MethodSummary 
  name: div
- !ruby/object:RI::MethodSummary 
  name: increment
- !ruby/object:RI::MethodSummary 
  name: int
- !ruby/object:RI::MethodSummary 
  name: lparen
- !ruby/object:RI::MethodSummary 
  name: minus
- !ruby/object:RI::MethodSummary 
  name: mod
- !ruby/object:RI::MethodSummary 
  name: mul
- !ruby/object:RI::MethodSummary 
  name: negate
- !ruby/object:RI::MethodSummary 
  name: plus
- !ruby/object:RI::MethodSummary 
  name: positive
- !ruby/object:RI::MethodSummary 
  name: rdiv
- !ruby/object:RI::MethodSummary 
  name: rparen
- !ruby/object:RI::MethodSummary 
  name: setup
- !ruby/object:RI::MethodSummary 
  name: space_mul
- !ruby/object:RI::MethodSummary 
  name: testExpression
- !ruby/object:RI::MethodSummary 
  name: testInfixl
- !ruby/object:RI::MethodSummary 
  name: testInfixn
- !ruby/object:RI::MethodSummary 
  name: testInfixr
- !ruby/object:RI::MethodSummary 
  name: testPostfix
- !ruby/object:RI::MethodSummary 
  name: testPrefix
name: ExpressionParserTest
superclass: ParserTestCase
